org.eclipse.graphiti.ui.internal.util.gef

## Class ZoomManagerWithAnimation

- java.lang.Object
- - org.eclipse.gef.editparts.ZoomManager
  - - org.eclipse.graphiti.ui.internal.util.gef.ZoomManagerWithAnimation

    public class ZoomManagerWithAnimation
    extends org.eclipse.gef.editparts.ZoomManager

Enhances the default ZoomManager by animating the change of the zoom. This is done by implicitly replacing every change of the zoom by a sequence of changes, which range from the old zoom to the new zoom.

### Field Summary

### Fields inherited from class org.eclipse.gef.editparts.ZoomManager

`ANIMATE_NEVER, ANIMATE_ZOOM_IN_OUT, FIT_ALL, FIT_HEIGHT, FIT_WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`ZoomManagerWithAnimation(org.eclipse.draw2d.ScalableFigure pane, org.eclipse.draw2d.Viewport viewport, org.eclipse.gef.ui.parts.ScrollingGraphicalViewer viewer)` Creates a new ZoomManagerWithAnimation.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTotalSteps()` Returns the total number of steps.
`void` `stepPerformed()` Is called after each performed step.

### Methods inherited from class org.eclipse.gef.editparts.ZoomManager

`addZoomListener, canZoomIn, canZoomOut, getMaxZoom, getMinZoom, getNextZoomLevel, getPane, getPreviousZoomLevel, getScalableFigure, getUIMultiplier, getViewport, getZoom, getZoomAsText, getZoomLevelContributions, getZoomLevels, getZoomLevelsAsText, removeZoomListener, setUIMultiplier, setViewLocation, setZoom, setZoomAnimationStyle, setZoomAsText, setZoomLevelContributions, setZoomLevels, zoomIn, zoomOut, zoomTo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZoomManagerWithAnimation

    public ZoomManagerWithAnimation(org.eclipse.draw2d.ScalableFigure pane,
                                    org.eclipse.draw2d.Viewport viewport,
                                    org.eclipse.gef.ui.parts.ScrollingGraphicalViewer viewer)

Creates a new ZoomManagerWithAnimation.

### Method Detail

#### stepPerformed

    public void stepPerformed()

Is called after each performed step.

By default it dispatches all pending events of the current Display. This is important, because typically the steps do something which shall be visible to the user. By dispatching the events all updates to the UI will be performed.

#### getTotalSteps

    public int getTotalSteps()

Returns the total number of steps. Should be called on every execute() and undo(), so that always the last preference-value is used.

Returns:
  The total number of steps.